const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("deliveryproduct", {
    uapp_id: DataTypes.INTEGER,//
    deliveryOrderNo: DataTypes.STRING(64),//交付订单号   
    needNo: DataTypes.STRING(64),//需求单号（渠道过来的订单号，如阿里、1688过来的单号）
    itemCode: DataTypes.STRING(64),//                                                                                                                                                                                            
    itemName: DataTypes.STRING(100),//                                                                                                                                                                                                                                                                                                                                                                            
    channelItemCode: DataTypes.STRING(64),//  渠道产品编码                                                                                                                                                                        
    channelItemName: DataTypes.STRING,//  渠道产品名称   
    proPrice: DataTypes.DOUBLE,//  产品价格    
    picUrl: DataTypes.STRING(500),//  产品图片地址                                                                                                                                               
    productType_id: DataTypes.INTEGER,        //产品类型Id
    productOneType_id: DataTypes.INTEGER,        //产品大类Id                                                                                                                                    
    serviceItemSnapshot: DataTypes.TEXT,           //产品快照
    createuser_id: DataTypes.INTEGER,//
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'd_delivery_product',
      validate: {

      },
      indexes: [
      ]
    });
}
