const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("flowlog", {
    uapp_id: DataTypes.INTEGER,      //  
    deliveryOrderNo: DataTypes.STRING(64),//交付订单号           
    opContent: DataTypes.STRING(208),  //  操作描述
    notes: DataTypes.STRING,       // 备注                       
    createuser_id: DataTypes.INTEGER,      //                       
    isShow: {//是否显示
      type: DataTypes.BOOLEAN,
      defaultValue: false,
    },
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'd_flow_log',
      validate: {

      },
      indexes: [

      ]
    });
}
